(game-module "magellan"
  (title "Magellan")
  (blurb "Try to circumnavigate the world and bring back treasure")
  )

(include "voyages")

;;; Modify the basic game to increase the amount of what's already known.

(add city initial-seen-radius 25)

;;; Use the big map of the world.

(include "earth1")

;;; One specific side only.

(set sides-max 1)

(side 1 (name "Spain") (noun "Spaniard") (adjective "Spanish")
  (emblem-name "flag-spain") (names-locked true)
  )

;;; Suppress creation of any other units.

(add u* start-with 0)

;;; Magellan starts out near Madrid.

(explorer 125 105 1 (n "Magellan")
  (x "Our hero")
  )

; we need a crew eventually

(fleet 123 103 1)   ; should start in Cadiz perhaps

;;; Set up some European cities of Magellan's time.

(city 124 103 1 (n "Cadiz"))
(city 126 106 1 (n "Madrid"))
(city 122 104 0 (n "Lisbon"))
;(base (n "Cordoba") (@ 125 104))
;(town (n "Zaragoza") (@ 128 107))
(city 131 107 1 (n "Barcelona"))
