/* $XConsortium: ImlistP.h,v 1.6 91/03/13 20:12:07 rws Exp $ */

/* Copyright	Massachusetts Institute of Technology	1987, 1988
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  M.I.T. makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * M.I.T. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL M.I.T.
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */

#ifndef _ImlistP_h
#define _ImlistP_h

#include "xtimlist.h"

#include <X11/CoreP.h>

/* No imlist class stuff. */

typedef struct {
    int empty;
} ImlistClassPart;

typedef struct _ImlistClassRec {
    CoreClassPart	core_class;
    ImlistClassPart	imlist_class;
} ImlistClassRec;

extern ImlistClassRec imlistClassRec;

/* Lots of private info. */

typedef struct {
    /* resources */
    char* resource;
    /* private state */
    GC gc;                    /* a "scratch" gc - used a lot */
    GC auxgc;
/*    Imlist *imlist;  */
/*    Side *side;  */
} ImlistPart;

typedef struct _ImlistRec {
    CorePart core;
    ImlistPart imlist;
} ImlistRec;

#endif /* _ImlistP_h */
