/* Copyright (c) 1987, 1988, 1991  Stanley T. Shebs. */
/* This program may be used, copied, modified, and redistributed freely */
/* for noncommercial purposes, so long as this notice remains intact. */

/* X-specific configuration stuff. */

/* Default color of text and icons - 0 is for white on black, 1 */
/* is for black on white.  Should be set appropriately for the most */
/* common monochrome display (color displays always do white on black). */
/* This is also settable by the player, so the default is just for */
/* convenience of the majority. */

#define BLACKONWHITE 1

#define BARGRAPHS

/* The default fonts can be altered by users, so these are just hints. */

#define TEXTFONT "fixed"
#define HELPFONT "fixed"
#define ICONFONT "xconq"

#define STANDARD "standard"


/* Number of messages displayed at one time. No upper limit I believe, */
/* but too many won't fit on the screen.  The actual numbers of lines */
/* displayed can be changed by the player, subject to limitations on the */
/* screen space available. */
/* (make this totally dynamic?) */

#define MAXNOTES 45

/* All names, phrases, and messages must be able to fit in statically */
/* allocated buffers of this size. */
/* (shouldn't these be flushed?) */

#define BUFSIZE 120
#define NOTIFY_SPACE  MAXNOTES * 60 * MAXSIDES + BUFSIZE

/* Some X11 servers die if too much is written between output flushes. */

/* #define STUPIDFLUSH */

/* This is the name of a family of programs, so argv[0] inadequate. */

#define PROGRAMNAME "xconq"
